--
-- PostgreSQL database dump
--

-- Dumped from database version 9.0.3
-- Dumped by pg_dump version 9.0.3
-- Started on 2013-07-15 23:04:35

SET statement_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = off;
SET check_function_bodies = false;
SET client_min_messages = warning;
SET escape_string_warning = off;

--
-- TOC entry 315 (class 2612 OID 11574)
-- Name: plpgsql; Type: PROCEDURAL LANGUAGE; Schema: -; Owner: postgres
--

CREATE OR REPLACE PROCEDURAL LANGUAGE plpgsql;


ALTER PROCEDURAL LANGUAGE plpgsql OWNER TO postgres;

SET search_path = public, pg_catalog;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- TOC entry 1510 (class 1259 OID 20294)
-- Dependencies: 5
-- Name: capital; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE capital (
    id integer NOT NULL,
    name character varying(50) NOT NULL,
    country integer NOT NULL
);


ALTER TABLE public.capital OWNER TO postgres;

--
-- TOC entry 1509 (class 1259 OID 20292)
-- Dependencies: 1510 5
-- Name: capital_id_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE capital_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.capital_id_seq OWNER TO postgres;

--
-- TOC entry 1808 (class 0 OID 0)
-- Dependencies: 1509
-- Name: capital_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE capital_id_seq OWNED BY capital.id;


--
-- TOC entry 1512 (class 1259 OID 20336)
-- Dependencies: 5
-- Name: city; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE city (
    id integer NOT NULL,
    name character varying NOT NULL,
    population integer,
    country integer NOT NULL
);


ALTER TABLE public.city OWNER TO postgres;

--
-- TOC entry 1511 (class 1259 OID 20334)
-- Dependencies: 1512 5
-- Name: city_id_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE city_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.city_id_seq OWNER TO postgres;

--
-- TOC entry 1809 (class 0 OID 0)
-- Dependencies: 1511
-- Name: city_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE city_id_seq OWNED BY city.id;


--
-- TOC entry 1508 (class 1259 OID 18332)
-- Dependencies: 5
-- Name: country; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE country (
    id integer NOT NULL,
    name character varying(50) NOT NULL
);


ALTER TABLE public.country OWNER TO postgres;

--
-- TOC entry 1507 (class 1259 OID 18330)
-- Dependencies: 1508 5
-- Name: country_id_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE country_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.country_id_seq OWNER TO postgres;

--
-- TOC entry 1810 (class 0 OID 0)
-- Dependencies: 1507
-- Name: country_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE country_id_seq OWNED BY country.id;


--
-- TOC entry 1791 (class 2604 OID 20297)
-- Dependencies: 1510 1509 1510
-- Name: id; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE capital ALTER COLUMN id SET DEFAULT nextval('capital_id_seq'::regclass);


--
-- TOC entry 1792 (class 2604 OID 20339)
-- Dependencies: 1512 1511 1512
-- Name: id; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE city ALTER COLUMN id SET DEFAULT nextval('city_id_seq'::regclass);


--
-- TOC entry 1790 (class 2604 OID 18335)
-- Dependencies: 1508 1507 1508
-- Name: id; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE country ALTER COLUMN id SET DEFAULT nextval('country_id_seq'::regclass);


--
-- TOC entry 1796 (class 2606 OID 20299)
-- Dependencies: 1510 1510
-- Name: capital_pk; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY capital
    ADD CONSTRAINT capital_pk PRIMARY KEY (id);


--
-- TOC entry 1800 (class 2606 OID 20344)
-- Dependencies: 1512 1512
-- Name: city_pk; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY city
    ADD CONSTRAINT city_pk PRIMARY KEY (id);


--
-- TOC entry 1798 (class 2606 OID 20333)
-- Dependencies: 1510 1510
-- Name: country_uq; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY capital
    ADD CONSTRAINT country_uq UNIQUE (country);


--
-- TOC entry 1794 (class 2606 OID 18337)
-- Dependencies: 1508 1508
-- Name: pk_countries; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY country
    ADD CONSTRAINT pk_countries PRIMARY KEY (id);


--
-- TOC entry 1801 (class 2606 OID 20325)
-- Dependencies: 1510 1508 1793
-- Name: country_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY capital
    ADD CONSTRAINT country_fk FOREIGN KEY (country) REFERENCES country(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- TOC entry 1802 (class 2606 OID 20345)
-- Dependencies: 1508 1512 1793
-- Name: country_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY city
    ADD CONSTRAINT country_fk FOREIGN KEY (country) REFERENCES country(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- TOC entry 1807 (class 0 OID 0)
-- Dependencies: 5
-- Name: public; Type: ACL; Schema: -; Owner: postgres
--

REVOKE ALL ON SCHEMA public FROM PUBLIC;
REVOKE ALL ON SCHEMA public FROM postgres;
GRANT ALL ON SCHEMA public TO postgres;
GRANT ALL ON SCHEMA public TO PUBLIC;


-- Completed on 2013-07-15 23:04:36

--
-- PostgreSQL database dump complete
--

